// BigNumberDlg.h : Header-Datei
//

#if !defined(AFX_BIGNUMBERDLG_H__9094848F_71E1_4C0D_8F60_1D426598592A__INCLUDED_)
#define AFX_BIGNUMBERDLG_H__9094848F_71E1_4C0D_8F60_1D426598592A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ETSLayout.h"
#include "StaticEx.h"

#include "disto2.h"
#include "ReceiveWindow.h"

/////////////////////////////////////////////////////////////////////////////
// CBigNumberDlg Dialogfeld

class CBigNumberDlg : public ETSLayoutDialog
{
// Konstruktion
public:
	CBigNumberDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CBigNumberDlg)
	enum { IDD = IDD_BIGNUMBER_DIALOG };
	CStaticEx	m_Display1;
	CStaticEx	m_Display2;
	CStaticEx	m_Display3;
	//}}AFX_DATA

	IDisto2		m_Disto1;
	IDisto2		m_Disto2;
	bool		m_bDistoStart1;
	bool		m_bDistoStart2;
	bool		m_bDistoConnected1;
	bool		m_bDistoConnected2;

	CReceiveWindow		m_ReceiveWindow1;
	CReceiveWindow		m_ReceiveWindow2;

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CBigNumberDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

	void		SetDisplayFontSize(int iSize = 0);
	void		EnableControls();
	void		StartDisto();

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CBigNumberDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonStop();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnChangeEditOffset1();
	afx_msg void OnChangeEditOffset2();
	afx_msg void OnKillfocusEditOffset1();
	afx_msg void OnKillfocusEditOffset2();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_BIGNUMBERDLG_H__9094848F_71E1_4C0D_8F60_1D426598592A__INCLUDED_)
